# Class ExtraPropertiesExtension.UnknownPropertyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.InvalidUserDataException
org.gradle.api.plugins.ExtraPropertiesExtension.UnknownPropertyException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `ExtraPropertiesExtension`

public static class ExtraPropertiesExtension.UnknownPropertyException extends InvalidUserDataException
The exception that will be thrown when an attempt is made to read a property that is not set.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownPropertyException(ExtraPropertiesExtension extension, String propertyName)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`createMessage(String propertyName)`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownPropertyException

public UnknownPropertyException(ExtraPropertiesExtension extension, String propertyName)

## Method Details

### createMessage

public static String createMessage(String propertyName)